Subject: Re: Windows support

From: Marius Storm-Olsen <[email-masked]>
Date: Thu, 26 Jul 2007 11:41:22 +0200

>>    * Be careful with the case in filenames. Similarly, avoid
>> special chars in filenames.
> 
> This is true. Git doesn't like getting file names with case only 
> differences on such a platform. E.g. just today I wanted to do the
> following:
> 
>   git mv foo.c Foo.c
> 
> but had to instead do:
> 
>   git mv foo.c CRAP && git mv CRAP Foo.c
> 
> because the former won't work on a filesystem that ignores case. I
> have the same problem on my Mac OS X HFS+ volume as it also ignores
> case.

You can turn off case-insensitivity in the Windows kernel, by
using RegEdit, and setting the following registry key to 0:

HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\kernel\obcaseinsensitive

I haven't tried it, but it should help your case above. Just keep
in mind that you can then check in files which your coworkers can't
checkout :-)

-- 
.marius